"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConfirmarTransaccion = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _native = require("@react-navigation/native");
var _pubsubJs = _interopRequireDefault(require("pubsub-js"));
var _numerosregistrados = _interopRequireDefault(require("../datos/numerosregistrados.json"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ConfirmarTransaccion = () => {
  const route = (0, _native.useRoute)();
  const [datos, setDatos] = _react.default.useState({});
  const [ValorPagar, setValorPagar] = _react.default.useState(0);
  (0, _react.useEffect)(() => {
    _numerosregistrados.default.forEach(item => {
      if (item.number === route.params.number) {
        setDatos(item);
      }
    });
    setValorPagar(route.params.valorPagar);
  }, [datos, route]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.textoCuenta
  }, "Ha pagado ", ValorPagar ? ValorPagar.toFixed(2) : 0.0, "$ a", ' ', datos && datos.name ? datos.name.toUpperCase() : ''), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.info
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.seccion
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.subsecciones
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, " Valor: "), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "$", ValorPagar))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.seccion
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.subsecciones
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, " De: "), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, datos.name)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.subsecciones
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, " Desde la cuenta: "), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, datos.account)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.subsecciones
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "A la cuenta: "), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "2238*****2232")), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.subsecciones
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, " Telefono "), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "0996730142"))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.seccion
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.subsecciones
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, " Fecha de pago: "), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "11/12/2022/10:00")), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.subsecciones
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, " Nro Comprobante: "), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "238798723"))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.seccion
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.comprobante
  }, "Compartir Comprobante"))), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    style: styles.Btn,
    onPress: () => {
      _pubsubJs.default.publish('confirmarTran', {
        name: datos.name,
        otro: ValorPagar
      });
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Continuar")));
};
exports.ConfirmarTransaccion = ConfirmarTransaccion;
const styles = _reactNative.StyleSheet.create({
  textoCuenta: {
    fontWeight: 'bold',
    fontSize: 20,
    width: 200,
    textAlign: 'center'
  },
  container: {
    padding: 20,
    flex: 1,
    alignItems: 'center',
    backgroundColor: '#FFFFFF'
  },
  icono: {
    fontSize: 30,
    color: '#422d4e',
    padding: 15
  },
  containerIcono: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  info: {
    marginTop: 20,
    borderTopColor: 'black',
    borderTopWidth: 1,
    backgroundColor: '#ececec',
    width: '100%'
  },
  seccion: {
    borderTopColor: 'black',
    borderTopWidth: 0.3,
    backgroundColor: '#efefef',
    width: '100%'
  },
  subsecciones: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    paddingTop: 5,
    paddingBottom: 5,
    paddingLeft: 15,
    paddingRight: 15
  },
  comprobante: {
    padding: 20,
    textAlign: 'center',
    fontWeight: 'bold'
  },
  iconoShare: {
    fontSize: 25
  },
  Btn: {
    width: '100%',
    backgroundColor: '#FFDD00',
    padding: 15,
    marginTop: 35,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  }
});
//# sourceMappingURL=ConfirmarTransaccion.js.map