"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VistaPreviaValoPagar = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _native = require("@react-navigation/native");
var _CuentaMin = require("./CuentaMin");
var _numerosregistrados = _interopRequireDefault(require("../datos/numerosregistrados.json"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const VistaPreviaValoPagar = () => {
  const navigate = (0, _native.useNavigation)();
  const [ValorPagar, setValorPagar] = _react.default.useState(0);
  const [datos, setDatos] = _react.default.useState({});
  const route = (0, _native.useRoute)();
  (0, _react.useEffect)(() => {
    console.log(route.params);
    _numerosregistrados.default.forEach(item => {
      if (item.number === route.params.number) {
        setDatos(item);
      }
    });
    console.log(datos);
    setValorPagar(route.params.valorPagar);
  }, [datos, route]);
  const accountbind = account => {
    const accountbin = account.substring(0, 4) + '*****' + account.substring(8, 11);
    return accountbin;
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.containerVistaPrevia
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Para "), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.contenedorSeccion
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.nombre
  }, datos.name), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Parar DeUna! -", datos.number), datos && datos.account ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Cuenta de ahorros - ", accountbind(datos.account)) : null), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Valor"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.contenedorSeccion
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.ValorPagar
  }, "$", ValorPagar ? ValorPagar.toFixed(2) : 0.0)), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Desde"), datos && datos.account ? /*#__PURE__*/_react.default.createElement(_CuentaMin.CuentaMin, {
    numberAccount: accountbind(datos.account)
  }) : null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Descripcion"), /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    style: styles.input,
    placeholder: "\xBFQue estas pagando? (Opcional)",
    maxLength: 40
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => navigate.navigate('ConfirmarTransaccion', {
      number: datos === null || datos === void 0 ? void 0 : datos.number,
      valorPagar: ValorPagar
    }),
    style: styles.Btncontinuar
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Pagar")));
};
exports.VistaPreviaValoPagar = VistaPreviaValoPagar;
const styles = _reactNative.StyleSheet.create({
  textoEncabezado: {
    fontWeight: 'bold',
    fontSize: 20
  },
  encabezado: {
    width: '100%'
  },
  input: {
    backgroundColor: '#FFFFFF',
    borderStyle: 'solid',
    borderColor: 'black',
    padding: 10
  },
  Btncontinuar: {
    width: '100%',
    backgroundColor: '#FFDD00',
    padding: 15,
    marginTop: 35,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  nombre: {
    fontSize: 19,
    fontWeight: 'bold',
    color: 'black'
  },
  containerVistaPrevia: {
    flex: 1,
    padding: 35,
    width: '100%',
    backgroundColor: '#FFFFFF',
    // CAMBIAR LA ALTURA LA 100% DE LA PANTALLA
    height: 650
  },
  encabezados: {
    fontWeight: 'bold',
    fontSize: 16,
    paddingTop: 10,
    paddingBottom: 10
  },
  contenedorSeccion: {
    padding: 8
  },
  ValorPagar: {
    fontSize: 36,
    fontWeight: 'bold',
    color: 'black'
  }
});
//# sourceMappingURL=VistaPreviaValoPagar.js.map